I have recently installed 12.2, and then upgraded KDE to 4.9.1 by adding the appropriate KDE repos, and then switching the system files to those repos in YAST. Since then every time I try to update my system I am offered Opensuse-2012-588 which is KDE 4.8.5 stable update. I don't understand why I am being offered this 'update' given that KDE is now running at 4.9.1 'Release 561', and the repos have been switched. I have set out below the current state of my repos:

Code:
#  | Alias                   | Name                          | Enabled | Refresh
---+-------------------------+-------------------------------+---------+--------
 1 | KDE_49                  | KDE_49                        | Yes     | Yes    
 2 | KDE_Extra               | KDE_Extra                     | Yes     | Yes    
 3 | Packman Repository      | Packman Repository            | Yes     | Yes    
 4 | libdvdcss repository    | libdvdcss repository          | Yes     | Yes    
 5 | nVidia Graphics Drivers | nVidia Graphics Drivers       | Yes     | Yes    
 6 | repo-non-oss            | openSUSE-12.2-Non-Oss         | Yes     | Yes    
 7 | repo-oss                | openSUSE-12.2-Oss             | Yes     | Yes    
 8 | repo-update             | openSUSE-12.2-Update          | Yes     | Yes    
 9 | repo-update-non-oss     | openSUSE-12.2-Update-Non-Oss  | Yes     | Yes    
10 | spideroak-stable        | SpiderOak Stable Distribution | Yes     | No
Can anyone suggest a reason and hopefully a solution for this behaviour?

Regards

Phil